<img src="https://i.imgur.com/XSzy00d.png" style="float:right;width:150px">

# Grundkurs Programmieren HS22

## Einführung

In diesem Projekt findest du alle Unterlagen für das Semester HS22 des Grundkurses Programmieren der Universität Bern.

## Inhaltsverzeichnis

- [Einleitung](./notebooks/09_23_22/Einfuehrung.ipynb)

- [Zahlen und Variablen](./notebooks/09_30_22/Zahlen_Variablen.ipynb)

- [Keywords und Funktionen](./notebooks/10_07_22/Keywords_Funktionen.ipynb)

- [Strings und For](./notebooks/10_14_22/Strings_For.ipynb)

- [Listen und Methoden](./notebooks/10_21_22/Listen_Methoden.ipynb)

- [If und else](./notebooks/10_28_22/If_else.ipynb)

- [While und logische Operatoren](./notebooks/11_04_22/While_Logische-Operatoren.ipynb)

- [Dictionaries und Ressourcen](./notebooks/11_11_22/Dictionaries_Ressourcen.ipynb)

- [Module, Objekte und Datum.ipynb](./notebooks/11_18_22/Module_Objekte_Datum.ipynb)


## Arbeiten mit Renkulab

Um den Einstieg ins Programmieren nicht mit Installieren und Konfigurieren von Software zu erschweren haben wir uns entschieden auf Renkulab zu setzten. 

## Repository forken

Damit Renkulab **automatisch** deine Arbeiten speichern kann musst du einen **Fork** erstellen. Gehe dazu folgendermassen vor:

### Erstelle einen Account

- Klicke auf **Login**:

<img src="https://i.imgur.com/rWBRkUc.png" width="100%">

- Wähle SWITCH edu-ID:

![](https://i.imgur.com/rxDpllo.png)

### Erstelle einen Fork

- Klicke auf **Fork**:

<img src="https://i.imgur.com/YFBn9Pz.png" width="100%">

- Wähle im Modal die Einstallung **Internal** und klicke auf **Fork Project**

![](https://i.imgur.com/Of63P2Q.png)

> Der Vorteil von Internal ist, dass du nicht ausversehen eine Session startest ohne eingeloggt zu sein. Deine Änderungen können nur gespeichert und wiederhergestellt werden, falls du eingeloggt bist.

- Wir empfehlen dir ein Bookmark zu erstellen damit du schnell und ohne Umwege auf deine Grundkurs Resourcen zugreiffen kannst. 

## Session starten

Sobald du einen Fork erstellt hast, kannst du eine Session starten:

<img src="https://i.imgur.com/BUEPt5L.png" width="100%">

> Stelle sicher, dass du **deinen** Fork startest, sonst sind deine Änderungen nicht vorhanden und können nicht gespeichert werden

Sobald die Session am Laufen ist (dauert ca. 1-2 Min.), empfehlen wir dir die Session in einem eigenen Tab zu öffnen:

<img src="https://i.imgur.com/fI1gNDx.png" width="100%">

## Feedback

Hast du Anmerkungen oder Verbesserungsvorschläge? Wir sind offen und freuen uns über deine Beiträge im [Forum](https://hs22.gk.inf.unibe.ch)
